Bug 1397063 (CVE-2016-9446) - CVE-2016-9446 gstreamer-plugins-bad-free: Missing initialization of allocated heap memory leads to information leak
Summary: CVE-2016-9446 gstreamer-plugins-bad-free: Missing initialization of allocated...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9446
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1397066 1397067 1397064 1397065 1397068
Blocks: 1397072 1415638
TreeView+ depends on / blocked
 
Reported: 2016-11-21 14:12 UTC by Adam Mariš
Modified: 2019-09-29 14:00 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-25 06:14:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2060 normal SHIPPED_LIVE Moderate: GStreamer security, bug fix, and enhancement update 2017-08-01 19:34:49 UTC

Description Adam Mariš 2016-11-21 14:12:47 UTC
A missing initialization of allocated heap memory for render canvas leads to information leak.

CVE assignment:

http://seclists.org/oss-sec/2016/q4/462

External References:

https://scarybeastsecurity.blogspot.sk/2016/11/0day-poc-risky-design-decisions-in.html

Comment 1 Adam Mariš 2016-11-21 14:16:13 UTC
Created mingw-gstreamer1 tracking bugs for this issue:

Affects: fedora-all [bug 1397067]
Affects: epel-7 [bug 1397068]

Comment 2 Adam Mariš 2016-11-21 14:16:31 UTC
Created gstreamer tracking bugs for this issue:

Affects: fedora-all [bug 1397064]

Comment 3 Adam Mariš 2016-11-21 14:16:45 UTC
Created mingw-gstreamer tracking bugs for this issue:

Affects: fedora-all [bug 1397066]

Comment 4 Adam Mariš 2016-11-21 14:16:58 UTC
Created gstreamer1 tracking bugs for this issue:

Affects: fedora-all [bug 1397065]

Comment 8 errata-xmlrpc 2017-08-01 22:27:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2060 https://access.redhat.com/errata/RHSA-2017:2060


Note You need to log in before you can comment on or make changes to this bug.